Bug 93371 - Calc mixes up languages for formula names if UI language is german
Summary: Calc mixes up languages for formula names if UI language is german
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.0.1.1 rc
Hardware: x86-64 (AMD64) Windows (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Calc-Images
  Show dependency treegraph
 
Reported: 2015-08-11 19:41 UTC by merlin352
Modified: 2019-12-03 14:44 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
The original sheet (17.61 KB, application/vnd.oasis.opendocument.spreadsheet)
2015-08-22 09:57 UTC, merlin352
Details

Note You need to log in before you can comment on or make changes to this bug.
Description merlin352 2015-08-11 19:41:28 UTC
I use a Win 8.1pro in German

When exporting a sheet to Excel 97-2003 and opening it in an english EXCEL XP, I noticed that some formula names had been translated to english, some others not. So EXCEL shows a #NAME error. Reopening the xls-file in LO shows no error. All formula names are in german as expected.

So I tried to set LO to english formula names, but not all names are translated. I tested all possibilites, setting "Use english formula names", setting the UI language to english, setting the locale to english. The result is always the same. Some formulas change to english when I set "Use english formula names" or when I change the UI language to english.

Using the function wizard shows also mixed languages.

See :

=DATE(YEAR(DateNaissance)+65,MONTH(DateNaissance)+1,1)

and one cell lower:

=MIN(MONATSENDE(MAX(EDATUM(DateNaissance,60*12),EDATUM($C$13,(40-AnneesCot)*12)),0)+1,DebRetraite65)

and so they appear in EXCEL which does not know the german names.

Strange...
For counterchecking I changed the UI-language to french. And now ALL the names have been translated to french! Export to Excel works.
But setting "Use english formula names" only part of the names are translated.

Behaviour gets stranger.. 
Changing from French UI (with all formula names in french) to English UI also changes ALL formula names to english and export to Excel works.

And for the last--
Setting the UI language back to German translates all formula names to german, but export to Excel ends up with mixed names.

Conclusion :
"Use english formula names" does not work correctly. Formula names are mixed language.

Setting the UI language to german kills export to Excel regardless of "Use english formula names"
Comment 1 raal 2015-08-21 06:21:06 UTC
Please attach .ods file with formulas to test. Thank you
Comment 2 merlin352 2015-08-22 09:57:23 UTC
Created attachment 118084 [details]
The original sheet
Comment 3 merlin352 2015-08-22 10:00:41 UTC
I have created a small sheet that shows the behaviour more clearly.
The problem is the setting "Use english function names" 

I start with "User interace = German" "Use english function names = off"

Everything ok.. all functions in german

Set UseEnglishFunctionNames to on
Click the last cell.. a mixup of english and german names. Same in some categories of the function wizard.

Set the userinterface to French. Save and reload.
No changes, a mixup of german and english names.
Set UEFN to off
Now you have a mix off german and french names.

Save and reload
Now all the names are in french.
Set UEFN to on
A mix of french and english names.

Save an reload
The user interface is french but you have a mixup of GERMAN and english function names.
Set UEFN to off
Mixup of GERMAN and french names

Save and reload
Now all the names are in french again.

Set user interface to english
Save and reload
Everything in english

Export a copy to excel  -> ok

Set UEFN to on
Export a copy to excel -> ok

Set userinterface to german
Save and reload
german and enlish names
Export a copy to excel -> not ok (mixed names in xls)

Set UEFN to off
Save and reload
all german names
Export a copy to excel -> not ok (mixed names in xls)

set user interface to french
Reload
all french names
Export a copy to excel  -> ok
Comment 4 Buovjaga 2015-09-12 12:29:20 UTC
(In reply to merlin352 from comment #3)
> I have created a small sheet that shows the behaviour more clearly.
> The problem is the setting "Use english function names" 
> 
> I start with "User interace = German" "Use english function names = off"
> 
> Everything ok.. all functions in german
> 
> Set UseEnglishFunctionNames to on
> Click the last cell.. a mixup of english and german names. Same in some
> categories of the function wizard.

Confirmed with attachment 118084 [details].
Severity is not critical: https://wiki.documentfoundation.org/images/0/06/Prioritizing_Bugs_Flowchart.jpg

Win 7 Pro 64-bit, Version: 5.0.1.2 (32-bit)
Build ID: 81898c9f5c0d43f3473ba111d7b351050be20261
Locale: fi-FI (fi_FI)
Comment 5 QA Administrators 2016-09-20 10:32:34 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2019-12-03 14:44:38 UTC
Dear merlin352,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug